﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ThunderDashboard
{
	public partial class Form2015 : FormBase
	{
		public Form2015()
		{
			InitializeComponent();

            Text = "2015"; // Robot name goes here (i.e. tab's text)
            DebugTitle = "Debug"; // title for the debug tab

            // load controller images
            //ControllerAux = LoadImage("2015", "ControlsAux.png");
            //ControllerDriver = LoadImage("2015", "ControlsDriver.png");

            // optional tabs
            TabLightsPsoc42xx = false;   // show the light tab that talks to the PSOC 42xx via a COM port?
            TabChart = false;            // show the chart tab?



            // *******************************************************************************
            // any custom control settings for this year's robot

            //
            // *******************************************************************************



            // *******************************************************************************
            // NOTE: if a control/feature is not supported (i.e. control does not exist), then
            //       set the control to null (e.g. CameraFeed = null;)
            // *******************************************************************************

            // camera
            CameraPort = 1181; // port the camera feed is on (as of 2018 it is MPEJ on 1181, previous roboRIO years it was 1180)
            CameraFlip = false; // camera is mounted upside down, so flip image before showing it?
            CameraFeed = cameraControl; // control that gets the camera feed
            CameraVisionDelegate = null; // method to call if there is any vision processing that the dashboard will do
            CameraFeedDirection = null; // indicates if camera feed is from the front or rear of robot (only needed is two cameras on robot)

            // drive
            RobotDirection = null; // will so REVERSE when driver controls have been swapped so rear of robot is the 'front'

            // auto mode
            AutoModeComboBox = null; // gets list of auto modes for user to select from
            AutoModeDescriptionsTextBox = null; // gets the description of the auto mode (not used in 2017)
            AutoModeFromRobot = null; // auto mode the robot currently has selected

            // connection/status
            PanelConnected = panelConnected; // state of connection with network table
            StatusTextBox = statusTextBox; // any status messages about connection and images
        }

        // called when the network table is updated
        //
        // returns true if the form handled the key
        public override bool NetworkTableUpdated(string key, string value)
        {
            switch (key)
            {
                default:
                    return (base.NetworkTableUpdated(key, value));

                case "thunderdashboard_breacher":
                    rightGripperBar.Value = value;
                    break;
            }

            return (false);
        }
    }
}
