﻿// parts of the main form that should not be touched each year
using System;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

namespace ThunderDashboard
{
    public partial class FormMain
    {
        // see if there are any new controller pics in our directory
        private void CheckControllerPictures(Image driverImage, Image auxImage)
        {
            // they must be in the same directory as our exe
            var location = new Uri(System.Reflection.Assembly.GetEntryAssembly().GetName().CodeBase);
            string directory = new FileInfo(location.AbsolutePath).Directory.FullName;
            string file;

            // check Aux pic
            file = Path.Combine(directory, "ControlsAux.png");
            if (File.Exists(file))
            {
                try
                {
                    using (FileStream stream = new FileStream(file, FileMode.Open, FileAccess.Read))
                    {
                        auxImage = Image.FromStream(stream);
                        stream.Close();
                    }
                }
                catch { }
            }
            auxControllerPicture.Image = auxImage;

            // check Base pic
            file = Path.Combine(directory, "ControlsDriver.png");
            if (File.Exists(file))
            {
                try
                {
                    using (FileStream stream = new FileStream(file, FileMode.Open, FileAccess.Read))
                    {
                        driverImage = Image.FromStream(stream);
                        stream.Close();
                    }
                }
                catch { }
            }
            driverControllerPicture.Image = driverImage;
        }
    }
}
